
!Canvas methodsFor: '*CenterString' stamp: 'HwaJong 2/26/2013 05:40'!
drawCenterString: aString from: startingStringIndex to: endingStringIndex in: aRectangle font: fontOrNil color: aColor 
	|rect font width height |
	
	font := fontOrNil ifNil: [TextStyle defaultFont].
	width := font widthOfStringOrText: (aString copyFrom: startingStringIndex to: endingStringIndex).
	height := font height.
	rect := (aRectangle origin + ((aRectangle extent)/2) - ((width @ height)/2)) truncated corner: aRectangle corner.
	
	^self drawString: aString from: startingStringIndex to: endingStringIndex in: rect font: font color: aColor ! !

!Canvas methodsFor: '*CenterString' stamp: 'HwaJong 3/1/2013 18:48'!
drawCenterString: aByteString in: aRectangle 
	^self drawCenterString: aByteString in: aRectangle font: nil color: Color black! !

!Canvas methodsFor: '*CenterString' stamp: 'HwaJong 2/28/2013 17:41'!
drawCenterString: aString in: aRectangle font: fontOrNil color: aColor 
	|rect font width height |
	
	font := fontOrNil ifNil: [TextStyle defaultFont].
	width := font widthOfStringOrText: (aString).
	height := font height.
	rect := (aRectangle origin + ((aRectangle extent)/2) - ((width @ height)/2)) truncated corner: aRectangle corner.
	
	^self drawString: aString from: 1 to: aString size in: rect font: font color: aColor ! !

!Canvas methodsFor: '*CenterString' stamp: 'HwaJong 2/28/2013 17:43'!
drawLeftCenterString: aString in: aRectangle font: fontOrNil color: aColor 
	|rect font width height |
	
	font := fontOrNil ifNil: [TextStyle defaultFont].
	width := font widthOfStringOrText: (aString).
	height := font height.
	rect := (aRectangle origin + ((0 @ aRectangle extent y)/2) - ((0 @ height)/2)) truncated corner: aRectangle corner.
	
	^self drawString: aString from: 1 to: (aString size) in: rect font: font color: aColor ! !
